#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
        ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

        int n, k;

        cin >> n >> k;
        int niz[n];
        for(int i = 0; i < n; i++) cin >> niz[i];

        for(int i = 0; i < n; i++){
            if(niz[i] == k){
                cout << niz[(i + 1) % n];
                return 0;
            }
        }
        return 0;
}